import preact from '@preact/preset-vite';
import { defineConfig } from 'vite';
import svgr from 'vite-plugin-svgr';
import { resolve } from 'path';
import path from 'path';

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [preact(), svgr()],
  build: {
    rollupOptions: {
      input: {
        installer: resolve(__dirname, 'installer.html'),
        mini: resolve(__dirname, 'mini.html')
      },
      output: {
        entryFileNames: `[name].js`,
        chunkFileNames: `[name].js`,
        assetFileNames: `[name].[ext]`,
      },
    },
  },
  resolve: {
    alias: {
      '@': path.resolve(__dirname, './src')
    }
  }
});
