<?php

add_action('admin_init', function () {
    if (isset($_POST['echo_choose_plan_nonce']) && wp_verify_nonce(sanitize_text_field(wp_unslash($_POST['echo_choose_plan_nonce'])), 'echo_choose_plan')) {

        $plan = sanitize_text_field(wp_unslash($_POST['plan']));

        $response = echoai_call_service_api("partner/change-plan", [
            'planId' => $plan,
            'returnUrlSuccess' => add_query_arg("checkout", "success", ECHOAI_SETTINGS),
            'returnUrlCancel' => add_query_arg("checkout", "cancel", ECHOAI_SETTINGS),
        ]);

        $url = esc_url_raw($response['url']);
        wp_redirect($url);
        exit;
    }

    if (isset($_POST['echo_manage_subscription_nonce']) && wp_verify_nonce(sanitize_text_field(wp_unslash($_POST['echo_manage_subscription_nonce'])), 'echo_manage_subscription') && isset($_POST['subscriptionId'])) {

        $subscriptionId = sanitize_text_field(wp_unslash($_POST['subscriptionId']));
        if (!preg_match('/^[a-zA-Z0-9_-]+$/', $subscriptionId)) {
            wp_die('Invalid subscription ID.');
        }

        $response = echoai_call_service_api("partner/manage-subscription", [
            'subscriptionId' => $subscriptionId,
            'returnUrl' => ECHOAI_SETTINGS,
        ]);

        $url = esc_url_raw($response['url']);
        wp_redirect($url);
        exit;
    }

});
