<?php

    $id = "echoai" . wp_rand(0, 10000);
    $partnercredentials = json_decode(get_option('echoai_partner'), true);
    $app_id = isset($partnercredentials['appId']) ? $partnercredentials["appId"]: null;
    $icon = esc_attr(get_option('echoai_assistant_image'));
    $height = isset($attributes['height']) ? $attributes['height'] : '450';
    wp_enqueue_script('echoaisdk');

?>

<div id="<?php echo esc_html($id) ?>" style="width=100%;"></div>
<script>
document.addEventListener('DOMContentLoaded', () => {

    const block = document.querySelector('#<?php echo esc_html($id) ?>');

    const init = () => {

        const width = block.clientWidth;

        initEchoChat({
            containerId: "<?php echo esc_html($id) ?>",
            appId:       "<?php echo esc_html($app_id) ?>",
            assistantImage:       "<?php echo esc_html($icon) ?>",
            width: width + "px",
            height: "<?php echo esc_html($height) ?>px",
        });
    };

    const debounce = (func, wait) => {
        let timeout;
        return function(...args) {
            clearTimeout(timeout);
            timeout = setTimeout(() => func.apply(this, args), wait);
        };
    };

    const debouncedInit = debounce(init, 500); 

    if (window.ResizeObserver) {
        const resizeObserver = new ResizeObserver(() => {
            debouncedInit();
        });
        resizeObserver.observe(block);
    }

    setTimeout(() => {
        init();        
    }, 200);

});

</script>
