<?php

    $assistant_image = get_option('echoai_assistant_image') ?: "";
    $echoai_floating_button = get_option('echoai_floating_button', 'none');

    if(function_exists( 'wp_enqueue_media' )){
        wp_enqueue_media();
    }else{
        wp_enqueue_style('thickbox');
        wp_enqueue_script('media-upload');
        wp_enqueue_script('thickbox');
    }
    $post_types = echoai_get_available_post_types();
   
?>
<div class="wrap">
<h2><img class="mt-4" src="<?php echo esc_html(ECHOAI_LOGO); ?>" /></h2>
<form method="post" action="options.php">
        <?php settings_fields('echoai_settings_group');?>
       <?php do_settings_sections('echoai_settings_group');?>
        <table class="form-table">
            <tr valign="top">
            <th scope="row">Icon</th>
            <td class="flex gap-4">
                <div>
                    <span id="echoai_assistant_image" class="button">Select Image</span>
                    <input type="text" readonly="readonly" style="width:240px" id="echoai_assistant_image_input" name="echoai_assistant_image" value="<?php echo esc_attr($assistant_image); ?>" />
                </div>
                <img width="30px" heigth="30px" id="echoai_assistant_image_preview" src="<?php echo esc_attr($assistant_image); ?>" /></td>
            </tr>
            <tr valign="top">
                <th scope="row">Post types</th>
                <td>
                    <ul>
                        <?php foreach ($post_types as $post_type) : ?>
                            <li>
                                <label>
                                <input type="checkbox" name="echoai_post_types[]" value="<?php echo esc_attr($post_type["name"]); ?>" <?php echo $post_type["enabled"] ? 'checked' : ''; ?> />
                                <?php echo esc_html($post_type["label"]); ?>
                                </label>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Floating Button Position</th>
                <td>
                    <fieldset>
                        <legend class="screen-reader-text"><span>Floating Button Position</span></legend>
                        <p><label><input type="radio" name="echoai_floating_button" value="none" <?php checked($echoai_floating_button, 'none'); ?>> <?php _e('No floating button', 'echoai'); ?></label></p>
                        <p><label><input type="radio" name="echoai_floating_button" value="bottom_right" <?php checked($echoai_floating_button, 'bottom_right'); ?>> <?php _e('Bottom Right', 'echoai'); ?></label></p>
                        <p><label><input type="radio" name="echoai_floating_button" value="bottom_left" <?php checked($echoai_floating_button, 'bottom_left'); ?>> <?php _e('Bottom Left', 'echoai'); ?></label></p>
                        <p><label><input type="radio" name="echoai_floating_button" value="top_right" <?php checked($echoai_floating_button, 'top_right'); ?>> <?php _e('Top Right', 'echoai'); ?></label></p>
                        <p><label><input type="radio" name="echoai_floating_button" value="top_left" <?php checked($echoai_floating_button, 'top_left'); ?>> <?php _e('Top Left', 'echoai'); ?></label></p>
                    </fieldset>
                </td>
            </tr>
        </table>

        <?php submit_button();?>

        <script>
        jQuery(document).ready(function($) {
        $('#echoai_assistant_image').click(function(e) {
            e.preventDefault();

            var custom_uploader = wp.media({
                title: 'Select Image',
                button: {
                    text: 'Upload Image'
                },
                multiple: false  
            })
            .on('select', function() {
                var attachment = custom_uploader.state().get('selection').first().toJSON();
                $('#echoai_assistant_image_preview').attr('src', attachment.url);
                $('#echoai_assistant_image_input').val(attachment.url);

            })
            .open();
        });
        });
        </script>

    </form>
</div>